Bug 1263347 - How do we stop a deployment that is in progress or errored?
How do we stop a deployment that is in progress or errored?
Status: NEW
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: WebUI (Show other bugs)
1.0
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: John Matthews
Dave Johnson
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-15 11:28 EDT by Matt Reid
Modified: 2016-09-27 18:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Reid 2015-09-15 11:28:40 EDT
Description of problem:
We have a cancel button in the UI, but it doesn't seem like you can use it to cancel something once you've started a deployment. How can I stop a deployment that is running before it completes or errors? How can I fix something that is errored and try again? When we hit an error, everything stays read-only, and I can't modify a value that may have been messing us up. I thought I might be able to by canceling, and starting over again, but without a cancel, I feel like I have to create a new deployment, and fill everything out again.

Should the cancel button work? If we can't cancel anything, we should remove the button.

Version-Release number of selected component (if applicable):
Tech Preview

Additional info:
Comment 1 John Matthews 2015-10-13 14:04:23 EDT
For short term fix, let's be sure the cancel button is disabled if it won't work.

For long term we can file a new BZ to track work of improving the usability of the cancel.
Comment 2 Jean-Francois Saucier 2016-02-23 09:34:25 EST
I have the same problem with tp2 rc9 ISO. In the deployment, the cancel button is greyed out and I cannot cancel the deployment.

If I go to see the list of deployments, there is also no delete button, just an edit one. So I cannot remove the stuck deployment.

It should be possible to cancel a running or stuck deployment. I know that at certain points, we cannot do anything for the RHEV or OSP hosts that we deploy but at least, we could bring the Satellite system back to a functional one.

Note You need to log in before you can comment on or make changes to this bug.